"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a24ba60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a24bb00>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a24bba0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a24bc40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a24bce0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a24bd80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a24be20>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a24bec0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8a24bf60>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94040>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d940e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94180>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94220>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d942c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94360>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94400>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d944a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94540>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d945e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94680>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94720>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d947c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94860>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94900>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d949a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94a40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94ae0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94b80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94c20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94cc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94d60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94e00>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94ea0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94f40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d94fe0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95080>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95120>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d951c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95260>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95300>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d953a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95440>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d954e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95580>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95620>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d956c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95760>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95800>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d958a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95940>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d959e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95a80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95b20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95bc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95c60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95d00>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95da0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95e40>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95ee0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d95f80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96020>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d960c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96160>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96200>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d962a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96340>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d963e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96480>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96520>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d965c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96660>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96700>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d967a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96840>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d968e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96980>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96a20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96ac0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96b60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96c00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96d40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96ca0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96de0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96e80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff88d96f20>)]
name: str = 'fr_HOCCN'
